<?php

namespace App\Services\Customer;

use App\Entities\Customer\AccountEntity;
use App\Models\Customer\AccountModel;
use CodeIgniter\HTTP\IncomingRequest;

class AccountService extends CustomerService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Account');
    }
    public function getModelClass(): AccountModel
    {
        return new AccountModel();
    }
    public function getEntityClass(): AccountEntity
    {
        return new AccountEntity();
    }
    public function getFormFields(): array
    {
        return [
            "clientinfo_uid",
            "status",
            "alias",
            "title",
            "amount"
        ];
    }
    public function getFilterFields(): array
    {
        return ["clientinfo_uid", 'status'];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }
}
